<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
if ( isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
############################################################################
/***************************** Version 20210212 ***************************/
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NOAA NWS Winter Probabilities"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NOAA NWS Winter Probabilities');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NOAA NWS Winter Probabilities';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/******************************* Settings *********************************/
$divWidth = 656; // Narrow style width
$maxWidth = 1022; // Maximum width of images
if (isset($_SESSION['CSSwidescreen'])) {
  $divWidth = ($_SESSION['CSSwidescreen']==1)? $maxWidth : $divWidth;
}
$divWidth = $standAlone?$maxWidth:$divWidth;
// Enter Default Station
$wfo = "OAX";
$prediction = 'StormTotalSnowWeb'; // Default NWS prediction to display
$predictionText = 'Most Likely Snowfall';
/* These are the Possible Predictions with Texts
  'SnowAmt10Prcntl' 'Expect at Least This Much'
  'StormTotalSnowWeb' 'Most Likely Snowfall'
  'SnowAmt90Prcntl' 'Potential for This Much'
  'snowProbGETr' 'Chance >= 0.1 Inch Snowfall'
  'ProbSnowGE01' 'Chance >= 1 Inch Snowfall'
  'ProbSnowGE02' 'Chance >= 2 Inch Snowfall'
  'ProbSnowGE04' 'Chance >= 4 Inch Snowfall'
  'ProbSnowGE06' 'Chance >= 6 Inch Snowfall'
  'ProbSnowGE08' 'Chance >= 8 Inch Snowfall'
  'ProbSnowGE12' 'Chance >= 12 Inch Snowfall'
  'ProbSnowGE18' 'Chance >= 18 Inch Snowfall'
  'WinterPrecipOnset' 'Winter Precip Onset'
  'WinterPrecipEndTiming' 'Winter Precip End Timing'
*/
/***************************** End Settings *******************************/
$wfo = strtolower($wfo);
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	function showPredictionjs(wfo,divWidth,prediction,standAlone) { 
		$('#showPrediction').load('inc-nwswinter.php',{wfo:wfo,divWidth:divWidth,prediction:prediction,standAlone:standAlone});
	}
}
</script>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth) ?>px; border:inset; background-color:#FFF">
<?php } else { ?>
	<div id="main-copy" style="width:100%; background-color:#FFF">
<?php }	?>
	<div style="width:<?php echo $divWidth?>">

  <h2 style="font-size:24px;" align="center">Snow or Ice Accumulation Potential</h2>

	<?php 
		include("inc-nwswinter.php");
	?>
  <?php if (!$standAlone && file_exists("wxnwswinter-SA.php")) {
		echo '<p align="center" style="font-size:14px"><a href="wxnwswinter-SA.php" target="_blank">Full Size Maps</a></p>';
	} ?>
<!--
  <p style="line-height:70%; font-size:10px" align="center">(Maps Updated by WFO Only As Needed)</p>

	<p align="center" style="line-height:140%; font-size:9px">Predictions Courtesy of <a href="https://www.nws.noaa.gov/os/notification/pns14prob_snow_expaab.htm" target="_blank" title="New Tab">NOAA-NWS</a><br/>WFO and predictions Scripts by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a>.</p>
-->
 </div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>